Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
[GabzLab] Strong Password Required System ( vB4.2.2 ) Details »
[GabzLab] Strong Password Required System ( vB4.2.2 )
Mod Version: 1.0.4, by Gabz (Member) Gabz is offline
Developer Last Online: Nov 2015 I like it Show Printable Version Email this Page

vB Version: 4.2.2 Rating: (1 vote - 5.00 average) Installs: 13
Released: 14 Dec 2014 Last Update: 22 Aug 2015 Downloads: 64
Not Supported Auto-Template Translations  

Strong Password Required


Info
Hello everyone, I am assuming that this mod is a sort of "update" that I wanted to add to the Mod Eric called Minimum Password Length I have tried to contact to inform him of this, but of course I thank him for having built the main mod

http://www.vbulletin.org/forum/showthread.php?t=264515

Featured
This change adds the function to force the user to enter a strong password during registration or while trying to change their user panel

It's targeted for forums that have private access for the system of account security is more reliable.

To avoid "crack" paying accounts.

Additional features are:

(+) Option in the admin panel to enable the "Alphabet mode" that involves the use of complex passwords containing uppercase, lowercase characters and scpeciali

(+) Option regarding the insertion of words not allowed in the user's password

Example: password, hello, pass, psw eccecc


Screenshot




Strong Password Required System 1.0.4 - Update Release

Bug Fixes :

(+) Whitespace as password bug fixed


(+) Permission to use denied words when their length is less than the half of the effective password length

I ask you please to test it on earlier versions of vBulletin and let me know if they work properly. Thanks

Gabz

Download Now

Only licensed members can download files, Click Here for more information.

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
Similar Mod
Mod Developer Type Replies Last Post
Password Required Before Updating Profile JulianD vBulletin 2.x Full Releases 6 04 Nov 2002 00:18

Comments
  #2  
Old 14 Dec 2014, 17:53
Gabz Gabz is offline
 
Join Date: Nov 2014
Real name: Gabriel
Strong Password Required System 1.0.4 - Update Release

http://www.vbulletin.org/forum/attac...6&d=1440277221

Bug Fixes :

(+) Whitespace as password bug fixed


(+) Permission to use denied words when their length is less than the half of the effective password length

I ask you please to test it on earlier versions of vBulletin and let me know if they work properly. Thanks

Last edited by Gabz; 22 Aug 2015 at 22:03.
Reply With Quote
  #3  
Old 15 Dec 2014, 11:35
birliksan birliksan is offline
 
Join Date: Mar 2014
Thanks for plugin. Installed
Reply With Quote
  #4  
Old 15 Dec 2014, 15:53
Gabz Gabz is offline
 
Join Date: Nov 2014
Real name: Gabriel
Originally Posted by birliksan View Post
Thanks for plugin. Installed
Version used?

Thanks!
Reply With Quote
  #5  
Old 30 Dec 2014, 20:27
davidg davidg is offline
 
Join Date: Apr 2010
Are u updating the 3.8 version to ?
Reply With Quote
  #6  
Old 31 Dec 2014, 13:06
EvoDarrenshan EvoDarrenshan is offline
 
Join Date: May 2014
Alright some bugs;

Firstly if a user sets a strong password eg Qw3rt6252625421234 it won't permit it as "1234" is a banned keyword.

Secondly can change the settings so it enforces one capital or one number instead of a set one like "2 characters in capitals or/and lowercase and 2 numbers"

Maybe have it so you can generate a strong password as a feature.
Reply With Quote
  #7  
Old 05 Jan 2015, 23:54
birliksan birliksan is offline
 
Join Date: Mar 2014
There are vulnerabilities in plugins. When entering a new password, accept without entering a password. ( modify password section)

http://i.hizliresim.com/4ZP9k0.png
http://i.hizliresim.com/n5RyAa.png

Last edited by birliksan; 06 Jan 2015 at 13:30.
Reply With Quote
  #8  
Old 18 Feb 2015, 21:36
Gabz Gabz is offline
 
Join Date: Nov 2014
Real name: Gabriel
Originally Posted by davidg View Post
Are u updating the 3.8 version to ?
Originally Posted by EvoDarrenshan View Post
Alright some bugs;

Firstly if a user sets a strong password eg Qw3rt6252625421234 it won't permit it as "1234" is a banned keyword.

Secondly can change the settings so it enforces one capital or one number instead of a set one like "2 characters in capitals or/and lowercase and 2 numbers"

Maybe have it so you can generate a strong password as a feature.
Originally Posted by birliksan View Post
There are vulnerabilities in plugins. When entering a new password, accept without entering a password. ( modify password section)

http://i.hizliresim.com/4ZP9k0.png
http://i.hizliresim.com/n5RyAa.png

Perfect, we are working on a new version. If you have other reports I can only thank you

Greetings from Italy
Reply With Quote
  #9  
Old 27 Jul 2015, 22:44
kerrghann's Avatar
kerrghann kerrghann is offline
 
Join Date: Jul 2012
Real name: Markis
Considering using this feature, however, I was wondering if it was updated to remove the vulnerabilities?
__________________
A Place to create; a place to innovate~
Reply With Quote
  #10  
Old 22 Aug 2015, 22:02
Gabz Gabz is offline
 
Join Date: Nov 2014
Real name: Gabriel
Originally Posted by EvoDarrenshan View Post
Alright some bugs;

Firstly if a user sets a strong password eg Qw3rt6252625421234 it won't permit it as "1234" is a banned keyword.

Secondly can change the settings so it enforces one capital or one number instead of a set one like "2 characters in capitals or/and lowercase and 2 numbers"

Maybe have it so you can generate a strong password as a feature.
Originally Posted by birliksan View Post
There are vulnerabilities in plugins. When entering a new password, accept without entering a password. ( modify password section)

http://i.hizliresim.com/4ZP9k0.png
http://i.hizliresim.com/n5RyAa.png
Originally Posted by kerrghann View Post
Considering using this feature, however, I was wondering if it was updated to remove the vulnerabilities?
All bug are now fixed

http://www.vbulletin.org/forum/showp...74&postcount=2

Release about 1.0.4
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 00:13.

Layout Options | Width: Wide Color: